include:
  - project: 'lujobi-projects/ci/ci-scripts'
    tag: main
    file: 
      - 'docker/.docker-build.yml'
      - 'docker/.docker-build-publish.yml'
      - 'digital_ocean/.do-k8s-apply.yml'
      - 'digital_ocean/.do-domain-records.yml'
      - 'standardized-stages.yml'

stages:
  - prebuild
  - test
  - build
  - integration
  - prepare
  - deploy

docker-build-publish-latest:
  extends: .docker-build-publish-latest
  needs: []

docker-build-publish-staging:
  extends: .docker-build-publish-staging
  needs: []

do-create-record-from-domain-production:
  extends: .do-create-record-from-domain-production
  needs: []

do-create-record-from-domain-staging:
  extends: .do-create-record-from-domain-staging
  needs: []

do-k8s-apply-production-environment:
  extends: .do-k8s-apply-production-environment
  needs: 
    - docker-build-publish-latest
    - do-create-record-from-domain-production

do-k8s-apply-staging-environment:
  extends: .do-k8s-apply-staging-environment
  needs: 
    - docker-build-publish-staging
    - do-create-record-from-domain-staging

do-k8s-rollout-deployment-production:
  extends: .do-k8s-rollout-deployment-production
  needs: 
    - do-k8s-apply-production-environment

do-k8s-rollout-deployment-staging:
  extends: .do-k8s-rollout-deployment-staging
  needs: 
    - do-k8s-apply-staging-environment
